Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryContactOrg

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
          com.verisign.epp.codec.registry.EPPRegistryContactOrg

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryContactOrg

extends EPPRegistryMinMaxLength

<registry:org> - The minimum and maximum length of the <contact:org> element defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively.

Version:
  1.4
Author:
  ljia
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` XML Element Name of `EPPRegistryContactOrg` root element.

Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
`ELM_MAX, ELM_MAX_LENGTH, ELM_MIN, ELM_MIN_LENGTH, elmMax, elmMin, max, min, rootName`

Constructor Summary
`EPPRegistryContactOrg()` Creates a new EPPRegistryContactOrg object.
`EPPRegistryContactOrg(java.lang.Integer min, java.lang.Integer max)` Creates a new EPPRegistryContactOrg object with min length and max length.
`EPPRegistryContactOrg(int min, int max)` Creates a new EPPRegistryContactOrg object with min length and max length.

Method Summary
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryContactOrg` compare.
`protected void` | `validateState()` Validate the state of the `EPPRegistryContactOrg` instance.

Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
`clone, decode, encode, getElmMax, getElmMin, getMax, getMin, getRootName, setElmMax, setElmMin, setMax, setMin, setRootName, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML Element Name of `EPPRegistryContactOrg` root element.

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistryContactOrg

    public EPPRegistryContactOrg()

  Creates a new EPPRegistryContactOrg object.

### EPPRegistryContactOrg

    public EPPRegistryContactOrg(java.lang.Integer min,
                                 java.lang.Integer max)

  Creates a new EPPRegistryContactOrg object with min length and max length.

  Parameters:
    `min` - minimum length of the contact name
    `max` - maximum length of the contact name

### EPPRegistryContactOrg

    public EPPRegistryContactOrg(int min,
                                 int max)

  Creates a new EPPRegistryContactOrg object with min length and max length.

  Parameters:
    `min` - minimum length of the contact name
    `max` - maximum length of the contact name

Method Detail

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRegistryContactOrg` compare.

  Overrides:
    `equals` in class `EPPRegistryMinMaxLength`
  Parameters:
    `aObject` - `EPPRegistryContactOrg` instance to compare with
  Returns:
    `true` if this object is the same as the aObject argument; `false` otherwise

### validateState

    protected void validateState()
                          throws EPPEncodeException

  Validate the state of the `EPPRegistryContactOrg` instance. A valid state means that all of the required attributes have been set. If validateState returns without an exception, the state is valid. If the state is not valid, the EPPCodecException will contain a description of the error. throws EPPCodecException State error. This will contain the name of the attribute that is not valid.

  Overrides:
    `validateState` in class `EPPRegistryMinMaxLength`
  Throws:
    `EPPCodecException`
    `EPPEncodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.